## mingw-w64-openturns-1.23-1.src.tar.zst

=== lib/src/Uncertainty/Distribution/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (AliMikhailHaqCopula.cxx)
ot_add_source_file (AliMikhailHaqCopulaFactory.cxx)
ot_add_source_file (Arcsine.cxx)
ot_add_source_file (ArcsineFactory.cxx)
ot_add_source_file (ArcsineMuSigma.cxx)
ot_add_source_file (BayesDistribution.cxx)
ot_add_source_file (Bernoulli.cxx)
ot_add_source_file (BernoulliFactory.cxx)
ot_add_source_file (BernsteinCopulaFactory.cxx)
ot_add_source_file (Beta.cxx)
ot_add_source_file (BetaFactory.cxx)
ot_add_source_file (BetaMuSigma.cxx)
ot_add_source_file (Binomial.cxx)
ot_add_source_file (BinomialFactory.cxx)
ot_add_source_file (BlockIndependentDistribution.cxx)
ot_add_source_file (Burr.cxx)
ot_add_source_file (BurrFactory.cxx)
ot_add_source_file (Chi.cxx)
ot_add_source_file (ChiFactory.cxx)
ot_add_source_file (ChiSquare.cxx)
ot_add_source_file (ChiSquareFactory.cxx)
ot_add_source_file (ClaytonCopula.cxx)
ot_add_source_file (ClaytonCopulaFactory.cxx)
ot_add_source_file (BlockIndependentCopula.cxx)
ot_add_source_file (JointDistribution.cxx)
ot_add_source_file (CompositeDistribution.cxx)
ot_add_source_file (ConditionalDistribution.cxx)
ot_add_source_file (CumulativeDistributionNetwork.cxx)
ot_add_source_file (Dirac.cxx)
ot_add_source_file (DiracFactory.cxx)
ot_add_source_file (Dirichlet.cxx)
ot_add_source_file (DirichletFactory.cxx)
ot_add_source_file (DiscreteCompoundDistribution.cxx)
ot_add_source_file (DistFunc.cxx)
ot_add_source_file (EmpiricalBernsteinCopula.cxx)
ot_add_source_file (Epanechnikov.cxx)
ot_add_source_file (Exponential.cxx)
ot_add_source_file (ExponentialFactory.cxx)
ot_add_source_file (ExtremeValueCopula.cxx)
ot_add_source_file (JoeCopula.cxx)
ot_add_source_file (FarlieGumbelMorgensternCopula.cxx)
ot_add_source_file (FarlieGumbelMorgensternCopulaFactory.cxx)
ot_add_source_file (FisherSnedecor.cxx)
ot_add_source_file (FisherSnedecorFactory.cxx)
ot_add_source_file (FrankCopula.cxx)
ot_add_source_file (FrankCopulaFactory.cxx)
ot_add_source_file (Frechet.cxx)
ot_add_source_file (FrechetFactory.cxx)
ot_add_source_file (GalambosCopula.cxx)
ot_add_source_file (Gamma.cxx)
ot_add_source_file (GammaFactory.cxx)
ot_add_source_file (GammaMuSigma.cxx)
ot_add_source_file (GeneralizedExtremeValue.cxx)
ot_add_source_file (GeneralizedExtremeValueFactory.cxx)
ot_add_source_file (GeneralizedExtremeValueValidation.cxx)
ot_add_source_file (DistributionFactoryLikelihoodResult.cxx)
ot_add_source_file (ProfileLikelihoodResult.cxx)
ot_add_source_file (TimeVaryingResult.cxx)
ot_add_source_file (CovariatesResult.cxx)
ot_add_source_file (GeneralizedPareto.cxx)
ot_add_source_file (GeneralizedParetoFactory.cxx)
ot_add_source_file (GeneralizedParetoValidation.cxx)
ot_add_source_file (Geometric.cxx)
ot_add_source_file (GeometricFactory.cxx)
ot_add_source_file (GumbelCopula.cxx)
ot_add_source_file (GumbelCopulaFactory.cxx)
ot_add_source_file (Gumbel.cxx)
ot_add_source_file (GumbelFactory.cxx)
ot_add_source_file (GumbelLambdaGamma.cxx)
ot_add_source_file (GumbelMuSigma.cxx)
ot_add_source_file (Histogram.cxx)
ot_add_source_file (HistogramFactory.cxx)
ot_add_source_file (Hypergeometric.cxx)
ot_add_source_file (IndependentCopula.cxx)
ot_add_source_file (IndependentCopulaFactory.cxx)
ot_add_source_file (InverseChiSquare.cxx)
ot_add_source_file (InverseGamma.cxx)
ot_add_source_file (InverseNormal.cxx)
ot_add_source_file (InverseNormalFactory.cxx)
ot_add_source_file (InverseWishart.cxx)
ot_add_source_file (KFactorFunctions.cxx)
ot_add_source_file (KPermutationsDistribution.cxx)
ot_add_source_file (KernelMixture.cxx)
ot_add_source_file (KernelSmoothing.cxx)
ot_add_source_file (KolmogorovFunctions.cxx)

# borrowed from https://github.com/scipy/scipy/tree/main/scipy/special/special/cephes
ot_add_build_dir_to_include_dirs(${CMAKE_CURRENT_SOURCE_DIR}/cephes)

ot_add_source_file (Laplace.cxx)
ot_add_source_file (LaplaceFactory.cxx)
ot_add_source_file (LeastSquaresDistributionFactory.cxx)
ot_add_source_file (Logistic.cxx)
ot_add_source_file (LogisticFactory.cxx)
ot_add_source_file (LogNormal.cxx)
ot_add_source_file (LogNormalFactory.cxx)
ot_add_source_file (LogNormalMuErrorFactor.cxx)
ot_add_source_file (LogNormalMuSigma.cxx)
ot_add_source_file (LogNormalMuSigmaOverMu.cxx)
ot_add_source_file (LogUniform.cxx)
ot_add_source_file (LogUniformFactory.cxx)
ot_add_source_file (MarshallOlkinCopula.cxx)
ot_add_source_file (MarginalDistribution.cxx)
ot_add_source_file (MaximumDistribution.cxx)
ot_add_source_file (MaximumEntropyOrderStatisticsDistribution.cxx)
ot_add_source_file (MaximumEntropyOrderStatisticsCopula.cxx)
ot_add_source_file (MaximumLikelihoodFactory.cxx)
ot_add_source_file (MeixnerDistribution.cxx)
ot_add_source_file (MeixnerDistributionFactory.cxx)
ot_add_source_file (MethodOfMomentsFactory.cxx)
ot_add_source_file (MinCopula.cxx)
ot_add_source_file (MixedHistogramUserDefined.cxx)
ot_add_source_file (Mixture.cxx)
ot_add_source_file (Multinomial.cxx)
ot_add_source_file (MultinomialFactory.cxx)
ot_add_source_file (NegativeBinomial.cxx)
ot_add_source_file (NegativeBinomialFactory.cxx)
ot_add_source_file (NonCentralChiSquare.cxx)
ot_add_source_file (NonCentralStudent.cxx)
ot_add_source_file (Normal2DCDF.cxx)
ot_add_source_file (Normal3DCDF.cxx)
ot_add_source_file (NormalCopula.cxx)
ot_add_source_file (NormalCopulaFactory.cxx)
ot_add_source_file (Normal.cxx)
ot_add_source_file (NormalFactory.cxx)
ot_add_source_file (NormalGamma.cxx)
ot_add_source_file (OrderStatisticsMarginalChecker.cxx)
ot_add_source_file (OrdinalSumCopula.cxx)
ot_add_source_file (ParametrizedDistribution.cxx)
ot_add_source_file (Pareto.cxx)
ot_add_source_file (ParetoFactory.cxx)
ot_add_source_file (PlackettCopula.cxx)
ot_add_source_file (PlackettCopulaFactory.cxx)
ot_add_source_file (Poisson.cxx)
ot_add_source_file (PoissonFactory.cxx)
ot_add_source_file (PosteriorDistribution.cxx)
ot_add_source_file (ProductDistribution.cxx)
ot_add_source_file (QuantileMatchingFactory.cxx)
ot_add_source_file (RandomMixture.cxx)
ot_add_source_file (RatioDistribution.cxx)
ot_add_source_file (Rayleigh.cxx)
ot_add_source_file (RayleighFactory.cxx)
ot_add_source_file (Rice.cxx)
ot_add_source_file (RiceFactory.cxx)
ot_add_source_file (Skellam.cxx)
ot_add_source_file (SkellamFactory.cxx)
ot_add_source_file (SmoothedUniform.cxx)
ot_add_source_file (SmoothedUniformFactory.cxx)
ot_add_source_file (SquaredNormal.cxx)
ot_add_source_file (Student.cxx)
ot_add_source_file (StudentCopula.cxx)
ot_add_source_file (StudentCopulaFactory.cxx)
ot_add_source_file (StudentFunctions.cxx)
ot_add_source_file (StudentFactory.cxx)
ot_add_source_file (Trapezoidal.cxx)
ot_add_source_file (TrapezoidalFactory.cxx)
ot_add_source_file (Triangular.cxx)
ot_add_source_file (TriangularFactory.cxx)
ot_add_source_file (TruncatedDistribution.cxx)
ot_add_source_file (TruncatedNormal.cxx)
ot_add_source_file (TruncatedNormalFactory.cxx)
ot_add_source_file (TruncatedOverMesh.cxx)
ot_add_source_file (Uniform.cxx)
ot_add_source_file (UniformOverMesh.cxx)
ot_add_source_file (UniformOrderStatistics.cxx)
ot_add_source_file (UniformFactory.cxx)
ot_add_source_file (UniformMuSigma.cxx)
ot_add_source_file (UserDefined.cxx)
ot_add_source_file (UserDefinedFactory.cxx)
ot_add_source_file (VonMises.cxx)
ot_add_source_file (VonMisesFactory.cxx)
ot_add_source_file (WeibullMax.cxx)
ot_add_source_file (WeibullMaxFactory.cxx)
ot_add_source_file (WeibullMaxMuSigma.cxx)
ot_add_source_file (WeibullMin.cxx)
ot_add_source_file (WeibullMinFactory.cxx)
ot_add_source_file (WeibullMinMuSigma.cxx)
ot_add_source_file (Wishart.cxx)
ot_add_source_file (ZipfMandelbrot.cxx)

ot_install_header_file (AliMikhailHaqCopula.hxx)
ot_install_header_file (AliMikhailHaqCopulaFactory.hxx)
ot_install_header_file (Arcsine.hxx)
ot_install_header_file (ArcsineFactory.hxx)
ot_install_header_file (ArcsineMuSigma.hxx)
ot_install_header_file (BayesDistribution.hxx)
ot_install_header_file (Bernoulli.hxx)
ot_install_header_file (BernoulliFactory.hxx)
ot_install_header_file (BernsteinCopulaFactory.hxx)
ot_install_header_file (Beta.hxx)
ot_install_header_file (BetaFactory.hxx)
ot_install_header_file (BetaMuSigma.hxx)
ot_install_header_file (Binomial.hxx)
ot_install_header_file (BinomialFactory.hxx)
ot_install_header_file (BlockIndependentDistribution.hxx)
ot_install_header_file (Burr.hxx)
ot_install_header_file (BurrFactory.hxx)
ot_install_header_file (Chi.hxx)
ot_install_header_file (ChiFactory.hxx)
ot_install_header_file (ChiSquare.hxx)
ot_install_header_file (ChiSquareFactory.hxx)
ot_install_header_file (ClaytonCopula.hxx)
ot_install_header_file (ClaytonCopulaFactory.hxx)
ot_install_header_file (BlockIndependentCopula.hxx)
ot_install_header_file (JointDistribution.hxx)
ot_install_header_file (CompositeDistribution.hxx)
ot_install_header_file (ConditionalDistribution.hxx)
ot_install_header_file (CumulativeDistributionNetwork.hxx)
ot_install_header_file (DiracFactory.hxx)
ot_install_header_file (Dirac.hxx)
ot_install_header_file (DirichletFactory.hxx)
ot_install_header_file (Dirichlet.hxx)
ot_install_header_file (DiscreteCompoundDistribution.hxx)
ot_install_header_file (DistFunc.hxx)
ot_install_header_file (EmpiricalBernsteinCopula.hxx)
ot_install_header_file (Epanechnikov.hxx)
ot_install_header_file (ExponentialFactory.hxx)
ot_install_header_file (Exponential.hxx)
ot_install_header_file (ExtremeValueCopula.hxx)
ot_install_header_file (JoeCopula.hxx)
ot_install_header_file (FarlieGumbelMorgensternCopula.hxx)
ot_install_header_file (FarlieGumbelMorgensternCopulaFactory.hxx)
ot_install_header_file (FisherSnedecor.hxx)
ot_install_header_file (FisherSnedecorFactory.hxx)
ot_install_header_file (FrankCopula.hxx)
ot_install_header_file (FrankCopulaFactory.hxx)
ot_install_header_file (Frechet.hxx)
ot_install_header_file (FrechetFactory.hxx)
ot_install_header_file (GalambosCopula.hxx)
ot_install_header_file (GammaFactory.hxx)
ot_install_header_file (Gamma.hxx)
ot_install_header_file (GammaMuSigma.hxx)
ot_install_header_file (GeneralizedExtremeValue.hxx)
ot_install_header_file (GeneralizedExtremeValueFactory.hxx)
ot_install_header_file (GeneralizedExtremeValueValidation.hxx)
ot_install_header_file (DistributionFactoryLikelihoodResult.hxx)
ot_install_header_file (ProfileLikelihoodResult.hxx)
ot_install_header_file (TimeVaryingResult.hxx)
ot_install_header_file (CovariatesResult.hxx)
ot_install_header_file (GeneralizedPareto.hxx)
ot_install_header_file (GeneralizedParetoFactory.hxx)
ot_install_header_file (GeneralizedParetoValidation.hxx)
ot_install_header_file (GeometricFactory.hxx)
ot_install_header_file (Geometric.hxx)
ot_install_header_file (GumbelCopulaFactory.hxx)
ot_install_header_file (GumbelCopula.hxx)
ot_install_header_file (GumbelFactory.hxx)
ot_install_header_file (Gumbel.hxx)
ot_install_header_file (GumbelLambdaGamma.hxx)
ot_install_header_file (GumbelMuSigma.hxx)
ot_install_header_file (HistogramFactory.hxx)
ot_install_header_file (Histogram.hxx)
ot_install_header_file (Hypergeometric.hxx)
ot_install_header_file (IndependentCopula.hxx)
ot_install_header_file (IndependentCopulaFactory.hxx)
ot_install_header_file (InverseChiSquare.hxx)
ot_install_header_file (InverseGamma.hxx)
ot_install_header_file (InverseNormal.hxx)
ot_install_header_file (InverseNormalFactory.hxx)
ot_install_header_file (InverseWishart.hxx)
ot_install_header_file (KFactorFunctions.hxx)
ot_install_header_file (KPermutationsDistribution.hxx)
ot_install_header_file (KernelMixture.hxx)
ot_install_header_file (KernelSmoothing.hxx)
ot_install_header_file (LaplaceFactory.hxx)
ot_install_header_file (Laplace.hxx)
ot_install_header_file (LeastSquaresDistributionFactory.hxx)
ot_install_header_file (LogisticFactory.hxx)
ot_install_header_file (Logistic.hxx)
ot_install_header_file (LogNormalFactory.hxx)
ot_install_header_file (LogNormal.hxx)
ot_install_header_file (LogNormalMuErrorFactor.hxx)
ot_install_header_file (LogNormalMuSigma.hxx)
ot_install_header_file (LogNormalMuSigmaOverMu.hxx)

=== distro/debian/changelog ===
openturns (1.23-1) experimental; urgency=medium

  * New upstream release

 -- Julien Schueller <schueller@phimeca.com>  Thu, 05 Jun 2024 10:19:33 +0100

openturns (1.22-1) experimental; urgency=medium

  * New upstream release

 -- Julien Schueller <schueller@phimeca.com>  Tue, 14 Nov 2023 10:19:33 +0100

openturns (1.21-1) experimental; urgency=medium

  * New upstream release

 -- Julien Schueller <schueller@phimeca.com>  Mon, 15 May 2023 10:19:33 +0200

openturns (1.20-1) experimental; urgency=medium

  * New upstream release

 -- Julien Schueller <schueller@phimeca.com>  Mon, 02 Nov 2022 10:19:33 +0100

openturns (1.19-1) experimental; urgency=medium

  * New upstream release
  * Add pagmo dependency
  * Drop examples package
  * Dont run cxx tests

 -- Julien Schueller <schueller@phimeca.com>  Tue, 12 Apr 2022 14:19:33 +0200

openturns (1.18-1) experimental; urgency=medium

  * New upstream version 1.18
  * Providing a gbp.conf file to ease the use of git-buildpackage with 'debian'
    as master branch
  * Refreshing patches
  * Raising Standards version to 4.6.0:
    - Removing obsolete get-orig-source target
    - Using https version of copyright format URL in d/copyright
    - Rules-Requires-Root: no
  * Providing debian/upstream/metadata with Repository information
  * Bumping SONAME to libot0.19, new binary package
  * Removing X-Python*-Version fields from d/control (Closes: #1003818)
  * Reworking (build-)dependencies in debian/control:
    - Depending on debhelper-compat 13, dropping debian/compat
    - Reordering dependencies in d/control for readability concerns
    - Adding (optional) build-dependencies
    - Removing dependency on python for stopt-examples (gets python3 through
      python3-openturns) (Closes: #948602)
    - Removing build-dependencies on g++ and quilt
    - Making the openturns-examples package, now Architecture: all, easily
      binNMUable with appropriate dependency versions
    - Revising the list of dependencies of the -dev package
    - Removing unnecessary versioned dependencies and information related on
      too old packages in d/control
  * Removing files related to former binary packages in debian/
  * Installing the (now unversioned) configuration file in its own package
    openturns-common, as it should accompany the versioned library package
  * Adding myself as uploader
  * Removing README.Debian with 12-year-old, now useless information
  * Refreshing d/copyright
  * Installing the C++ libraries in /usr/lib/triplet and the Python files in
    /usr/lib/python3*
  * Reworking debian/rules:
    - Not fiddling with DEB_BUILD_OPTIONS in d/rules
    - Adopting the same compiler flags on all architectures
    - Always using tbb
    - Hardening using /usr/share/dpkg/buildflags.mk
    - Attempting to build on mips and mipsel
    - Removing --parallel option
    - Skipping useless variables passed to CMake
    - Passing previously deactivated tests again
    - Adding the lib now installed in usr/lib/triplet for the Python tests,
      and removing this add for the C++ ones
    - Removing CMake variables and rules overrides that we don't need in d/rules
    - Letting the environment define the parallelism setting for the tests
  * Refreshing the lists of files to install (or to omit, in
    debian/not-installed)
  * Adding a comment to explain the current Lintian override concerning the
    name of the shared lib package
  * Adding a Lintian override for not providing symbols
  * Correcting spelling errors raised by Lintian in the source
  * Positioning Debian Python policy-compliant shebangs in installed examples
  * Raising tolerance in a test failing by a short margin on some computers
  * Skipping the install of *.pyc files
  * Updating homepage address and upstream-contact field
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entries 1.10~rc1-1, 1.8-1, 1.6~rc1-1.

 -- Pierre Gruet <pgt@debian.org>  Fri, 08 Apr 2022 10:32:40 +0200

openturns (1.14-1) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #937214
  * New upstream release; Closes: #902513
  * Import packaging from upstream, inclusing rename to libopenturns0.15 and
    drop of R bindings
  * debian/watch
    - point to github

 -- Sandro Tosi <morph@debian.org>  Thu, 26 Dec 2019 01:40:15 -0500

openturns (1.11-2) experimental; urgency=medium

  * debian/copyright: Add stanza for new exprtk.hpp file
  * debian/control: Replace libnlopt-dev by libnlopt-cxx-dev

 -- Denis Barbier <barbier@debian.org>  Wed, 20 Jun 2018 20:50:38 +0200

openturns (1.11-1) experimental; urgency=low

  [ Julien Schueller ]

  * New upstream release.

 -- Denis Barbier <barbier@debian.org>  Mon, 07 May 2018 08:02:03 +0200

openturns (1.11~rc1-1) experimental; urgency=low

  [ Julien Schueller ]

  * New upstream pre-release.

 -- Denis Barbier <barbier@debian.org>  Mon, 9 Apr 2018 18:14:47 +0100

openturns (1.10-5) unstable; urgency=medium

  * Disable NLopt_std tests on i386, there are some transient
    failures.  These failures come from NLopt, but I do not
    have time to debug them.

 -- Denis Barbier <barbier@debian.org>  Sun, 08 Apr 2018 13:59:13 +0200

openturns (1.10-4) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.1.3, no changes needed.
  * Upload to unstable.

 -- Denis Barbier <barbier@debian.org>  Wed, 04 Apr 2018 21:47:11 +0200

openturns (1.10-3) experimental; urgency=medium

  * debian/patches/test-NormalGamma.patch: Really fixes
    failures on ppc64el, s390x and arm64.
    Closes: #887005

 -- Denis Barbier <barbier@debian.org>  Tue, 03 Apr 2018 19:26:28 +0200

openturns (1.10-2) experimental; urgency=medium

  * debian/patches/test-NormalGamma.patch: New patch to try
    to fix t_NormalGamma_std test failures on ppc64el, s390x
    and arm64.
  * debian/rules: Also strip binaries from python-openturns
    and python3-openturns binary packages.
  * debian/control: Update Vcs-* fields to point to salsa.


=== PKGBUILD ===
# Contributor: Mehdi Chinoune <mehdi.chinoune@hotmail.com>

_realname=openturns
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=1.23
pkgrel=1
pkgdesc="Uncertainty treatment library (mingw-w64)"
arch=(any)
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://openturns.github.io/www"
msys2_repository_url="https://github.com/openturns/openturns"
msys2_references=(
  'aur: openturns'
)
license=('spdx:LGPL-3.0-only')
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-ceres-solver"
         "${MINGW_PACKAGE_PREFIX}-glog"
         "${MINGW_PACKAGE_PREFIX}-hdf5"
         "${MINGW_PACKAGE_PREFIX}-libxml2"
         "${MINGW_PACKAGE_PREFIX}-libwinpthread-git"
         "${MINGW_PACKAGE_PREFIX}-mpc"
         "${MINGW_PACKAGE_PREFIX}-mpfr"
         "${MINGW_PACKAGE_PREFIX}-muparser"
         "${MINGW_PACKAGE_PREFIX}-nlopt"
         "${MINGW_PACKAGE_PREFIX}-openblas"
         "${MINGW_PACKAGE_PREFIX}-omp"
         "${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-dill"
         "${MINGW_PACKAGE_PREFIX}-python-psutil"
         "${MINGW_PACKAGE_PREFIX}-tbb")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-boost"
             "${MINGW_PACKAGE_PREFIX}-spectra"
             "${MINGW_PACKAGE_PREFIX}-swig")
source=("https://github.com/openturns/openturns/archive/v${pkgver}/${_realname}-${pkgver}.tar.gz"
        "001-fix-default-site-packages.patch")
sha256sums=('4c7cfe5d2310933e3a2e91f7db9531d80e32157143157df80f6e93267c29f414'
            'd62063cb3ac4857b3882ead29727df8414e47de0b8be7d915db5b1a7a6aea339')

prepare() {
  cd "${srcdir}"/${_realname}-${pkgver}
  # https://github.com/openturns/openturns/pull/2005
  patch -p1 -i "${srcdir}"/001-fix-default-site-packages.patch
}

build() {
  mkdir -p "${srcdir}"/build-${MSYSTEM} && cd "${srcdir}"/build-${MSYSTEM}

  local -a _extra_config
  if check_option "debug" "n"; then
    _extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    _extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  CXXFLAGS+=" -Wno-deprecated-declarations" \
  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=;-DOPENTURNS_DOC_PATH=" \
  ${MINGW_PREFIX}/bin/cmake.exe -Wno-dev \
    -G"Ninja" \
    -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
    -DCMAKE_DLL_NAME_WITH_SOVERSION=ON \
    -DOPENTURNS_DOC_PATH=${MINGW_PREFIX}/share/licenses/${_realname} \
    -DPython_EXECUTABLE=${MINGW_PREFIX}/bin/python \
    -DUSE_SPHINX=OFF \
    "${_extra_config[@]}" \
    ../${_realname}-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}"/build-${MSYSTEM}
  DESTDIR="$pkgdir" ${MINGW_PREFIX}/bin/cmake --install .

  MSYS2_ARG_CONV_EXCL="-p" python -m compileall \
    -o 0 -o 1 -q -s"${pkgdir}" -p"/" "${pkgdir}${MINGW_PREFIX}/lib/python"*

  local PREFIX_MINGW=$(cygpath -am ${MINGW_PREFIX})
  sed -s "s|${PREFIX_MINGW}|\${PACKAGE_PREFIX_DIR}|g" \
    -i "$pkgdir${MINGW_PREFIX}/lib/cmake/${_realname}/OpenTURNSConfig.cmake"
  find "$pkgdir${MINGW_PREFIX}/lib/cmake/${_realname}" -name '*.cmake' -exec \
    sed -s "s|${PREFIX_MINGW}|\$\{_IMPORT_PREFIX\}|g" -i {} \;

  local PREFIX_MSYS2=$(cygpath -am /)
  sed -s "s|${PREFIX_MSYS2::-1}||g" \
    -i "$pkgdir${MINGW_PREFIX}/lib/cmake/${_realname}/OpenTURNSConfig.cmake"
}
